CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2005-3780

Multiple buffer overflows in IPUpdate 1.1 might allow attackers to execute arbitrary code via (1) memmcat in the memm module or (2) certain TSIG format records.
Publish Date : 2005-11-23 Last Update Date : 2011-03-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2005-3780

# Product Type Vendor Product Version Update Edition Language
1 Application Ipupdate Ipupdate 1.0 * * * Version Details Vulnerabilities
2 Application Ipupdate Ipupdate 1.0.1 * * * Version Details Vulnerabilities
3 Application Ipupdate Ipupdate 1.0.2 * * * Version Details Vulnerabilities
4 Application Ipupdate Ipupdate 1.0.3 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Ipupdate Ipupdate 4

- References For CVE-2005-3780

http://www.osvdb.org/21037
OSVDB 21037
http://www.osvdb.org/21036
OSVDB 21036
http://secunia.com/advisories/17681
SECUNIA 17681
http://www.securityfocus.com/bid/15534
BID 15534 IPUpdate Remote Buffer Overflow Vulnerability Release Date:2005-11-21
http://sourceforge.net/project/shownotes.php?release_id=372666 CONFIRM
http://www.vupen.com/english/advisories/2005/2523
VUPEN ADV-2005-2523

- Metasploit Modules Related To CVE-2005-3780

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.